package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.ElecProdForecast;

/**
 * 电力产能预测Service接口
 * 
 * @author ruoyi
 * @date 2024-08-12
 */
public interface IElecProdForecastService
{
    /**
     * 查询电力产能预测
     * 
     * @param id 电力产能预测主键
     * @return 电力产能预测
     */
     ElecProdForecast selectElecProdForecastById(Long id);

    /**
     * 查询电力产能预测列表
     * 
     * @param elecProdForecast 电力产能预测
     * @return 电力产能预测集合
     */
     List<ElecProdForecast> selectElecProdForecastList(ElecProdForecast elecProdForecast);

    /**
     * 新增电力产能预测
     * 
     * @param elecProdForecast 电力产能预测
     * @return 结果
     */
     int insertElecProdForecast(ElecProdForecast elecProdForecast);

    /**
     * 修改电力产能预测
     * 
     * @param elecProdForecast 电力产能预测
     * @return 结果
     */
     int updateElecProdForecast(ElecProdForecast elecProdForecast);

    /**
     * 批量删除电力产能预测
     * 
     * @param ids 需要删除的电力产能预测主键集合
     * @return 结果
     */
     int deleteElecProdForecastByIds(Long[] ids);

    /**
     * 删除电力产能预测信息
     * 
     * @param id 电力产能预测主键
     * @return 结果
     */
     int deleteElecProdForecastById(Long id);
}
